-- TUNING.PERISH_FRIDGE_MULT = 0;
-- local original_preservation_ratio = TUNING.PERISH_FRIDGE_MULT

local function OnFuelEmpty(inst)
    TUNING.PERISH_FRIDGE_MULT = .5
    inst.components.fueled:StopConsuming()
    -- inst.sg:GoToState("Super Frozen OFF")
end

local function OnAddFuel(inst)
    inst.SoundEmitter:PlaySound("dontstarve_DLC001/common/machine_fuel")
end

local function OnFuelSectionChange(new, old, inst)
    if new > 0 and TUNING.PERISH_FRIDGE_MULT ~= 0 then
        TUNING.PERISH_FRIDGE_MULT = 0
        inst.components.fueled:StartConsuming()
        -- inst.sg:GoToState("Super Frozen ON") 
    end
end

local function FuelFridge(prefab)

    prefab:AddTag("fuel_fridge")
    -- prefab:SetStateGraph("SGfuelfridge")
    prefab:AddComponent("fueled")
    prefab.components.fueled:SetDepletedFn(OnFuelEmpty)
    prefab.components.fueled:SetTakeFuelFn(OnAddFuel)
    prefab.components.fueled.accepting = true
    prefab.components.fueled:SetSections(10)
    prefab.components.fueled:SetSectionCallback(OnFuelSectionChange)
    prefab.components.fueled:InitializeFuelLevel(TUNING.FIRESUPPRESSOR_MAX_FUEL_TIME)
    prefab.components.fueled.bonusmult = 5
    -- prefab.components.fueled.secondaryfueltype = FUELTYPE.CHEMICAL
    
end


AddPrefabPostInit("icebox", FuelFridge)